QGIS Application - Bug report #9462
layer.getFeatures on return the first feature
2014-01-30 07:05 AM - Arnaud Morvan

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18054
Description

When | make iterator, | get only one feature while layer.featureCount() return 28

total = layer.featureCount()

request = QgsFeatureRequest()
iterator = layer.getFeatures(request)
for feature in iterator:

| use spatialite layer with QGIS 2.0.1-Dufour from apt-get on ubuntu 13.04

History

#1 - 2014-01-31 01:42 AM - Matthias Kuhn
- Status changed from Open to Feedback

Hi Arnaud,

Can you try to update the statistics for this layer? (Go to the "Add Spatialite Layer" dialog, connect to your DB and click "Update Statistics")

#2 - 2014-02-03 07:50 AM - Arnaud Morvan

| got an error : Error while updating internal statistics

#3 - 2014-02-03 09:01 AM - Arnaud Morvan

In iterator loop, | call layer.dataProvider().changeAttributeValues({ feature.id() : attrs })

when | comment this line the iterator work correctly

#4 - 2014-02-06 12:22 AM - Arnaud Morvan
- Status changed from Feedback to Closed

in version 2.0.1 vector providers do not allow multiples iterators

[[https://issues.qggis.org/projects/quantum-gis/repository/revisions/3747c¢2bb020625871d6a0352f1a968657d443bf6]]
